Public Attributes | List of all members
stack_heaps_table_t Struct Reference
BLE » BLE Common | BLE » BLE Event » Structures

The table contains the pointers to four arrays which are used as heap memory by BLE stack in ROM. More...

`#include <ble.h>`

## Public Attributes
uint32_t * | env_ret
| Pointer to the array for environment heap. More...
uint32_t * | db_ret
| Pointer to the array for ATT DB heap. More...
uint32_t * | msg_ret
| Pointer to the array for message heap. More...
uint32_t * | non_ret
| Pointer to the array for non-retention heap. More...
uint16_t | env_ret_size
| The size of the array for environment heap. More...
uint16_t | db_ret_size
| The size of the array for ATT DB heap. More...
uint16_t | msg_ret_size
| The size of the array for message heap. More...
uint16_t | non_ret_size
| The size of the array for non-retention heap. More...
uint8_t * | prf_buf
| Pointer to the array for profile heap. More...
uint32_t | buf_size
| The size of the array for profile heap. More...
uint8_t * | bm_buf
| Pointer to the array for bond manager heap. More...
uint32_t | bm_size
| The size of the array for bond manager heap. More...
uint8_t * | conn_buf
| Pointer to the array for connection heap. More...
uint32_t | conn_size
| The size of the array for connection heap. More...
uint8_t * | scan_dup_filt_list_buf
| Pointer to the array for adv duplicate filter. More...
uint32_t | scan_dup_filt_list_size
| The size of the array for adv duplicate filter. More...

## Detailed Description

The table contains the pointers to four arrays which are used as heap memory by BLE stack in ROM.

The size of four arrays depends on the number of connections and the number of attributes of profiles.

Definition at line 96 of file ble.h.

## Member Data Documentation

## ◆ bm_buf

uint8_t* stack_heaps_table_t::bm_buf

Pointer to the array for bond manager heap.

Definition at line 108 of file ble.h.

## ◆ bm_size

uint32_t stack_heaps_table_t::bm_size

The size of the array for bond manager heap.

Definition at line 109 of file ble.h.

## ◆ buf_size

uint32_t stack_heaps_table_t::buf_size

The size of the array for profile heap.

Definition at line 107 of file ble.h.

## ◆ conn_buf

uint8_t* stack_heaps_table_t::conn_buf

Pointer to the array for connection heap.

Definition at line 110 of file ble.h.

## ◆ conn_size

uint32_t stack_heaps_table_t::conn_size

The size of the array for connection heap.

Definition at line 111 of file ble.h.

## ◆ db_ret

uint32_t* stack_heaps_table_t::db_ret

Pointer to the array for ATT DB heap.

Definition at line 99 of file ble.h.

## ◆ db_ret_size

uint16_t stack_heaps_table_t::db_ret_size

The size of the array for ATT DB heap.

Definition at line 103 of file ble.h.

## ◆ env_ret

uint32_t* stack_heaps_table_t::env_ret

Pointer to the array for environment heap.

Definition at line 98 of file ble.h.

## ◆ env_ret_size

uint16_t stack_heaps_table_t::env_ret_size

The size of the array for environment heap.

Definition at line 102 of file ble.h.

## ◆ msg_ret

uint32_t* stack_heaps_table_t::msg_ret

Pointer to the array for message heap.

Definition at line 100 of file ble.h.

## ◆ msg_ret_size

uint16_t stack_heaps_table_t::msg_ret_size

The size of the array for message heap.

Definition at line 104 of file ble.h.

## ◆ non_ret

uint32_t* stack_heaps_table_t::non_ret

Pointer to the array for non-retention heap.

Definition at line 101 of file ble.h.

## ◆ non_ret_size

uint16_t stack_heaps_table_t::non_ret_size

The size of the array for non-retention heap.

Definition at line 105 of file ble.h.

## ◆ prf_buf

uint8_t* stack_heaps_table_t::prf_buf

Pointer to the array for profile heap.

Definition at line 106 of file ble.h.

## ◆ scan_dup_filt_list_buf

uint8_t* stack_heaps_table_t::scan_dup_filt_list_buf

Pointer to the array for adv duplicate filter.

Definition at line 112 of file ble.h.

## ◆ scan_dup_filt_list_size

uint32_t stack_heaps_table_t::scan_dup_filt_list_size

The size of the array for adv duplicate filter.

Definition at line 113 of file ble.h.

The documentation for this struct was generated from the following file:

- ble.h